Subject: Re: bug#62210: Job build-image-gnustep does not run anymore on EMBA

From: Michael Albinus <[email-masked]>
Date: Tue, 12 Sep 2023 19:38:12 +0200

Stefan Kangas <[email-masked]> writes:

Hi stefan,

> Robert Pluim <[email-masked]> writes:
>
>>>>>>> On Tue, 04 Apr 2023 20:03:34 +0200, Michael Albinus <[email-masked]> said:
>>
>>     Michael> I don't know whether we shall commit the patch, it suppresses warnings
>>     Michael> by default, which could be dangerous either. I'll let this to
>>     Michael> somebody else to decide. Eli?
>>
>> Only for the appkit headers, not globally.
>>
>>     Michael> The good message is, that I could identify now the real problem:
>>
>>     Michael> /usr/bin/ld: cannot find -lz
>>     Michael> collect2: error: ld returned 1 exit status
>>     Michael> make[3]: *** [Makefile:705: temacs] Error 1
>>     Michael> make[2]: *** [Makefile:544: src] Error 2
>>     Michael> make[1]: *** [Makefile:1260: actual-bootstrap] Error 2
>>
>>     Michael> zlib is missing. I've added zlib1g-dev to the list of installation
>>     Michael> packages for Debian, and now the GNUSTEP jobs shall run on EMBA.
>>
>> Letʼs hope thatʼs enough.
>
> Was that all, or is there more to do here?  Thanks.

For emba, that's OK. I've left the bug open in case somebody else wants
to work on gnustep. Looks like nobody is interested, so I'm closing the
bug.

Best regards, Michael.